Trusted by the world’s leading companies

Syncfusion Trusted Companies

Überblick

JavaScript Scheduler, oder Ereigniskalender, ist eine voll ausgestattete Ereigniskalenderkomponente, die Benutzer bei der effizienten Zeitverwaltung unterstützt. Sie ermöglicht eine einfache Ressourcenplanung und die Neuplanung von Ereignissen oder Terminen durch Editor-Popups, Drag & Drop und Größenänderungsaktionen.


Warum Syncfusion JavaScript Scheduler wählen?

Javascript Scheduler High Performance image

Hohe Performance

Der Scheduler lädt Daten standardmäßig bei Bedarf, um die Übertragungs- und Ladezeiten zu reduzieren. Eine korrekte Feldzuordnung ist zwingend erforderlich, wenn der Scheduler an Datenquellen mit unterschiedlichen Feldnamen gebunden wird.

Javascript Scheduler Effective Data Binding image

Nahtlose Datenbindung

Binden Sie Daten nahtlos mit verschiedenen lokalen und entfernten Datenquellen wie JSON, OData, WCF und RESTful-Webdiensten mit Hilfe eines Datenmanagers.

Javascript Scheduler Multiple Views image

Integrierte Ansichten

Es stehen verschiedene integrierte Ansichtsmodi zur Verfügung: Tag, Woche, Arbeitswoche, Monat, Agenda, Monats-Agenda, Jahr und Zeitleiste. Mit einer Vielzahl von ansichtsspezifischen Variablen können Sie jede Ansicht anpassen.

Javascript Scheduler Recurring Events image

Wiederkehrende Ereignisse

Konfigurieren Sie wiederkehrende Ereignisse ganz einfach so, dass sie täglich, wöchentlich, monatlich oder jährlich mit integrierten Wiederholungsoptionen wiederholt werden.

Javascript Scheduler Multiple Resource image

Mehrere Ressourcen und Gruppierung

Um Ressourcen nach mehreren Faktoren zu gruppieren, bietet der Scheduler eine breite Palette flexibler Optionen. Er deckt auch die Planung von Zeitleisten und die Gruppierung von Terminen nach Ressource und Datum ab.

Javascript Scheduler Adaptive Ui Support image

Passt sich jeder Auflösung an

Der Scheduler verfügt über ein hochgradig responsives Layout und ein optimiertes Design für Desktops, Touchscreens und Smartphones. Er funktioniert gut auf allen Mobiltelefonen, die iOS, Android oder Windows OS verwenden.

Javascript Scheduler Attractive Theme Support image

Attraktive anpassbare Themes

Modernes Design mit über 5 integrierten Themes wie Fluent, Tailwind CSS, Bootstrap, Material, Fabric und mehr. Nutzen Sie das online Theme Studio Tool, um die Themes des Schedulers einfach anzupassen.

Javascript Scheduler Globalization Support image

Globalisierung und Lokalisierung

Ermöglicht Benutzern aus verschiedenen Regionen, den Scheduler zu verwenden, indem Datums-, Währungs- und Nummerierungsformate an ihre Präferenzen angepasst werden.


KI-gesteuerter Scheduler für effizientes Zeitmanagement

Steigern Sie die Produktivität mit dem AI Scheduler. Geben Sie einfach Befehle wie “Team-Meeting jeden Freitag um 10:00 Uhr planen” ein, und er verwaltet intelligent Ihren Kalender—schlägt optimale Zeiten vor, vermeidet Überschneidungen und organisiert Ihren Kalender visuell.

Demo zur KI-gestützten Zeitplanung ansehen

Javascript Smart Scheduler image


JavaScript Scheduler Codebeispiel

Beginnen Sie ganz einfach mit dem JavaScript Scheduler, indem Sie wie unten gezeigt ein paar einfache Zeilen HTML- und TSX-Code verwenden. Erkunden Sie auch unser JavaScript Scheduler Beispiel, das Ihnen zeigt, wie Sie den Scheduler in JavaScript rendern und konfigurieren.

<html>
<head>
  <link href=https://cdn.syncfusion.com/ej2/material.css rel="stylesheet">
</head>
<body>
  <div class="control-section">
    <div id="Schedule"></div>
  </div>
</body>
</html>
import { Schedule, Day, Week, WorkWeek, Month, Agenda } from '@syncfusion/ej2-schedule';
Schedule.Inject(Day, Week, WorkWeek, Month, Agenda);
let data: Object[] = [
  {
    Id: 1,
    Subject: 'Scrum Meeting',
    Location: 'Office',
    StartTime: new Date(2022, 1, 12, 9, 30),
    EndTime: new Date(2023, 1, 12, 10, 30),
    RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
  }
];

let scheduleObj: Schedule = new Schedule({
  selectedDate: new Date(2022, 1, 20),
  eventSettings: { dataSource: data }
});
scheduleObj.appendTo('#Schedule');

Mehrere Scheduler-Ansichten

Es stehen verschiedene integrierte Ansichtsmodi zur Verfügung: Tag, Woche, Arbeitswoche, Monat, Agenda, Monats-Agenda, Jahr und Zeitleiste. Konfigurieren Sie jede einzelne Ansicht einfach mit verschiedenen, ansichtsspezifischen Optionen.

Day View in JavaScript Scheduler component.

Tages-, Wochen- und Arbeitswochenansichten

Zeigen Sie Termine für einen einzelnen Tag oder über mehrere Tage an.

Month View in JavaScript Scheduler component.

Monatsansicht

Zeigen Sie Ereignisse und Termine für einen einzelnen Tag oder mehrere Tage eines ganzen Monats an.

Agenda view in JavaScript Scheduler component.

Agendansicht

Laden Sie Ereignisse virtuell und zeigen Sie sie als Liste in sequentieller Reihenfolge nach Tagen gruppiert an. Es besteht die Möglichkeit, die Anzahl der Tage anzugeben, die anfänglich in der Agendansicht geladen werden sollen.

Month agenda view in JavaScript Scheduler component.

Monats-Agendansicht

Zeigen Sie das Kalenderlayout und die Ereignisse des aktuell ausgewählten Datums an. Ein runder Indikator am unteren Rand eines Datums zeigt das Vorhandensein eines oder mehrerer Ereignisse an diesem Tag an.

Year view in JavaScript Scheduler component.

Jahresansicht

Die Jahresansicht zeigt alle Monate eines bestimmten Jahres in einem Kalenderansichtformat an. In dieser Kalenderansicht werden Daten, die Ereignisse und Termine enthalten, mit Punkten unter dem jeweiligen Datum hervorgehoben. Wenn Sie auf das Datum klicken, wird das Ereignis-Popup angezeigt und die Ereignisse werden aufgelistet.


Zeitleistenansichten

JavaScript bietet fünf integrierte Zeitleistenansichten: Zeitleisten-Tag, Zeitleisten-Woche, Zeitleisten-Arbeitswoche, Zeitleisten-Monat und Zeitleisten-Jahr. Jede Ansicht zeigt Ereignisse genau auf einer horizontalen Zeitachse für einen einzelnen Tag oder mehrere Tage an.

Um eine bessere Leistung zu erzielen, laden Zeitleistenansichten Ressourcen, Ereignisse und Termine bei jeder Scroll-Aktion virtuell.

Timeline view in JavaScript Scheduler component.


Unique view in JavaScript Scheduler component.

Einzigartige Ansichtskonfigurationen

Konfigurieren Sie jeden einzelnen Ansichtsmodus einfach mit verschiedenen Kalendereinstellungen. Sie können beispielsweise die Gruppierungsfunktion in der Monatsansicht aktivieren und Ereignisvorlagen in der Wochenansicht anwenden.


Erweiterbare Ansichtsintervalle

Zeigen Sie mehrere Tage, Wochen und Monate an, indem Sie jeden Ansichtsmodus basierend auf der angegebenen Intervallanzahl erweitern.

Extensible view intervals in JavaScript Scheduler component.


Block time intervals in JavaScript Scheduler component.

Zeitintervalle blockieren

Sie können bestimmte Zeitbereiche im JavaScript Event Calendar blockieren, um die Erstellung von Ereignissen und Terminen in diesem Zeitfenster zu verhindern.


Inline-Termin

Mit dieser Funktion können Benutzer Termine inline mit einem einzigen Klick auf die Scheduler-Zellen oder auf das Thema eines vorhandenen Termins erstellen und bearbeiten. Das Drücken der Eingabetaste, nachdem der neue Betrefftext in das Inline-Textfeld eingegeben wurde, aktualisiert und speichert den Termin entsprechend.

Inline appointment in JavaScript Scheduler component.


Erweiterte Optionen zur Ereignisbehandlung

Der JavaScript Event Calendar bietet klare, lebendige und exakte Darstellungen von Ereignissen und Terminen über die Scheduler-Zeitleiste hinweg, basierend auf ihrer zugewiesenen Zeitdauer.

Illustration of add and edit capabilities of JavaScript Scheduler.

Hinzufügen und Bearbeiten von Funktionen

Es gibt eine integrierte Unterstützung für eine bessere Ereignisbehandlung, wie z. B. eine einfachere Terminerstellung und -bearbeitung mit dem Standardereignis-Editor oder durch intuitive Drag-and-Resize-Aktionen. Darüber hinaus können Sie den Ereignis- und Ressourcendatenquellen auch benutzerdefinierte Datenfelder hinzufügen.

Illustration of multiple event selection in JavaScript Scheduler.

Mehrfachereignisauswahl

Wählen Sie einfach mehrere Ereignisse gleichzeitig aus, indem Sie die Strg-Taste gedrückt halten und auf die Ereignisse klicken. Auf Mobilgeräten tun Sie dasselbe, indem Sie auf ein Ereignis tippen und gedrückt halten, und fahren Sie mit der Auswahl fort, indem Sie auf andere Ereignisse tippen. Nachdem Sie die Ereignisse erfolgreich ausgewählt haben, löschen oder verschieben Sie sie gleichzeitig.

Illustration of event tooltips of JavaScript Scheduler.

Tooltip

Der anpassbare Tooltip zeigt Ereignisinformationen an, wenn der Mauszeiger über das Ereignis schwebt. Auf Mobilgeräten tun Sie dasselbe, indem Sie auf ein Ereignis tippen und gedrückt halten.

Illustration of event customization with JavaScript Scheduler.

Anpassung des Erscheinungsbilds

Ändern Sie das Erscheinungsbild von JavaScript Scheduler-Ereignissen und -Terminen, indem Sie deren Standarderscheinungsbild und Stil mit HTML oder CSS anpassen.

Illustration of time zone support of JavaScript Scheduler.

Zeitzone

Unabhängig von der Systemzeitzone unterstützt der JavaScript Event Calendar das Einstellen der erforderlichen Zeitzone für das Steuerelement selbst sowie für Ereignisse.

Illustration of clipboard support of JavaScript Scheduler.

Zwischenablage

Der JavaScript Scheduler unterstützt die Zwischenablagefunktion, die es Benutzern ermöglicht, Ereignisse effizient zu verwalten. Benutzer können ausgewählte Ereignisse mit der Tastenkombination Strg+C kopieren, Ereignisse mit Strg+X ausschneiden und Ereignisse mit Strg+V in verschiedene Zeitfenster einfügen.


Row auto height in JavaScript Scheduler component.

Adaptive Zeilen

Eine integrierte Option wurde dem JavaScript Event Calendar hinzugefügt, um die Höhe der Zeilen in der Monats- und Zeitleistenansicht automatisch zu erhöhen, wenn neue gleichzeitige Ereignisse oder Termine hinzugefügt werden.


Kontextmenü

Das in den JavaScript Scheduler integrierte Kontextmenü öffnet sich, wenn eine Zelle oder ein Termin mit der rechten Maustaste angeklickt wird.

Context menu in JavaScript Scheduler component.


Echtzeit-Datensynchronisation

Echtzeit-Termindaten synchronisieren sich präzise mit unserem JavaScript Scheduler.

Illustration of Google Calendar integration with JavaScript Scheduler.

Outlook- und Google Kalender Integration

Synchronisieren Sie Ereignisse einfach zwischen unserem JavaScript Event Calendar und Google oder Outlook Kalender über die Google Kalender API oder die Objektbibliothek von Microsoft Outlook.

Illustration of real-time updates of JavaScript Scheduler.

Echtzeit-Updates

Bidirektionale Datenkommunikation übermittelt serverseitige Termin-Updates, die im Scheduler vorgenommen wurden, an alle verbundenen Clients über SignalR.


Funktionsreiche Kalenderoptionen

Der JavaScript Event Calendar erbt fast alle kalenderspezifischen Funktionen, wie den ersten Wochentag und die Zeitskala.

Illustration of first day of the week of JavaScript Scheduler.

Erster Wochentag

Passen Sie den ersten Wochentag, der standardmäßig auf Sonntag eingestellt ist, an die Standardregion an. Sie können diese Option auch für einzelne Ansichten verwenden.

Illustration of setting start and end hours on JavaScript Scheduler.

Benutzerdefinierte Start- und Endzeiten

Zeigen Sie das Ereignis-Scheduler-Layout mit bestimmten Zeitdauern an, indem Sie die unerwünschten Stunden ausblenden.

Illustration of timescale options of JavaScript Scheduler.

Flexible Zeitskala

Verwenden Sie anpassbare Zeitskala-Optionen, um eine Zeitleiste von Ereignissen klar anzuzeigen und eine andere Dauer einzustellen.

Illustration of working time of JavaScript Scheduler.

Arbeitszeit

Die aktiven Zellen des Schedulers (weiß dargestellt) stellen visuell die Arbeitstage und Arbeitszeiten dar.

Illustration of current time highlighting in JavaScript Scheduler.

Hervorhebung der aktuellen Zeit

Geben Sie das aktuelle Datum mit einem hervorgehobenen Datumsheader an. Markieren Sie die aktuelle Uhrzeit in allen Ansichten genau.

Illustration of hiding weekend days in JavaScript Scheduler.

Ausblenden von Wochenendtagen

Das Ausblenden von Wochenendtagen im Scheduler ermöglicht es Ihnen, in allen Ansichten nur Arbeitstage anzuzeigen.

Illustration of displaying week numbers in JavaScript Scheduler.

Wochennummernanzeige

Zeigen Sie die Wochennummer des aktuellen Datumsbereichs neben dem Datumsheader in den Tages-, Wochen- und Arbeitswochenansichten an. Zeigen Sie die Wochennummer auch in der Monatsansicht als erste Spalte an. Die Wochennummer wird durch den ersten Wochentag und die Wochenregeln (erster Tag oder erste volle Woche oder erste viertägige Woche) bestimmt.

Illustration of displaying time format in JavaScript Scheduler.

Zeitmodus

Das Scheduler-Steuerelement unterstützt sowohl das 12-Stunden- als auch das 24-Stunden-Zeitformat.


Vollständig anpassbare Benutzeroberfläche

Passen Sie das Erscheinungsbild jedes Teils der Scheduler-Oberfläche mit HTML- und CSS-Stilen an.

Illustration of date header customization in JavaScript Scheduler.

Datumsheader

Ändern Sie das Standarderscheinungsbild der Kopfzeile, indem Sie CSS, benutzerdefinierten Text oder ein Bild hinzufügen.

Illustration of complete JavaScript Scheduler customization.

Komplette Scheduler-Benutzeroberfläche

Ein integriertes clientseitiges Ereignis ermöglicht es den Endbenutzern, jeden Teil der Scheduler-Benutzeroberfläche anzupassen.

Illustration of common header bar in JavaScript Scheduler.

Kopfzeile

Fügen Sie benutzerdefinierte Elemente zu den Standardoptionen der Kopfzeile hinzu. Sie können gemeinsame Kopfzeilenoptionen ein- oder ausblenden.

Illustration of cell customization with JavaScript Scheduler.

Scheduler-Zellen

Vorkonfigurierte Vorlageoptionen ermöglichen Ihnen das einfache Anpassen der Zellen durch Hinzufügen von Text, Bildern oder CSS.

Illustration of quick pop-ups in JavaScript Scheduler.

Schnelle Pop-ups

Passen Sie Pop-ups, die beim Einzelklicken auf Zellen, Ereignisse oder Termine geöffnet werden, einfach mit Ihrer eigenen Benutzeroberfläche oder Ihrem Vorlagendesign an.

Illustration of event editor of JavaScript Scheduler.

Ereignis-Editor extern öffnen

Der JavaScript Event Calendar bietet eine integrierte Methode, um das Standard-Ereignis-Editor-Fenster programmatisch zu öffnen.


Benutzerfreundliche Interaktionen

Das moderne und trendige UI-Design des JavaScript Schedulers macht die Benutzerinteraktionen einfacher und effizienter.

Pop-up displaying event information.

Schnelle Ereignisübersicht

Durch Klicken oder Tippen auf Ereignisse werden deren wichtige Details wie Betreff und Uhrzeit sowie Bearbeitungs- und Löschoptionen angezeigt.

JavaScript Scheduler cell selection.

Zellenauswahl

Klicken Sie und ziehen Sie den Mauszeiger über die Scheduler-Zellen für die Mehrfachzellenauswahl. Sie können dies auch mit Tastenkombinationen tun.

Event container displayed in month calendar.

Ereignis-Container

Durch Klicken auf den Textindikator (+n weitere) in der Monats- und Zeitleistenansicht wird ein Ereignis-Container geöffnet, der alle ausgeblendeten Ereignis- und Termindetails eines Tages auflistet.

Navigation options in JavaScript Scheduler.

Schnelle Navigation

Der JavaScript Scheduler bietet eine intuitive Möglichkeit, mithilfe eines Inline-Kalenders zwischen Datumsbereichen vor- und zurückzuspringen und auch zwischen verschiedenen Ansichtsmodi zu navigieren.


JavaScript event calendar used in real-time applications.

Echtzeit-Anwendungen

Viele Echtzeit-Anwendungen verwenden Scheduler als integralen Bestandteil und dienen somit unterschiedlichen Zwecken je nach Projekttyp. Einige der aktiven Anwendungen sind: Fahrplan-Kalender, Besprechungsraum-Kalender, Arztterminplaner und Hotelzimmerreservierung.


Interaktive Funktionen

Mit dem JavaScript Scheduler können Benutzer ihre Ereignisse auf zwei Arten exportieren: als Excel-Datei oder als ICS-Datei.

Illustration of Excel export support in JavaScript Scheduler.

Export nach Excel

Der JavaScript Scheduler ermöglicht Ihnen, alle seine Ereignisse standardmäßig in ein Excel-Dokument zu exportieren. Er bietet auch zusätzliche Anpassungsoptionen zum Exportieren benutzerdefinierter Ereignisdatensammlungen.

Illustration of export and import ICS files in JavaScript Event Calendar.

ICS exportieren und importieren

Der JavaScript Event Calendar unterstützt den Export aller seiner Ereignisdaten in das iCal-Format und den Import von Ereignissen aus einer iCal-Datei in den Scheduler.

JavaScript Scheduler developer-friendly APIs.

Entwicklerfreundliche APIs

Entwickler haben über die integrierten, entwicklerfreundlichen APIs die volle Kontrolle über die Benutzeroberfläche und das Verhalten des Ereigniskalenders. Dies ermöglicht es Ihnen, selbst komplexe Scheduler-Funktionalitäten einfach anzupassen.


Barrierefreiheit

Die JavaScript Scheduler-Komponente ist für Screenreader leicht zugänglich. Es wurde auch eine vollständige Tastaturinteraktionsunterstützung bereitgestellt.

Accessibility enabled JavaScript Scheduler.

Vollständig barrierefrei

Die JavaScript Scheduler-Komponente verfügt über eine vollständige WAI-ARIA-Barrierefreiheitsunterstützung. Die Scheduler-Benutzeroberfläche enthält kontrastreiche visuelle Elemente, die sehbehinderten Menschen die beste Anzeigeerfahrung bieten. Außerdem sind gültige UI-Beschreibungen über assistierende Technologien wie Screenreader leicht zugänglich.

Keyboard interactive JavaScript event calendar.

Tastaturinteraktiv

Es stehen verschiedene Tastenkombinationen zur Verfügung, um fast alle Scheduler-Aktionen auszuführen, wie z. B. die Auswahl mehrerer Zellen oder Ereignisse und das Navigieren zu anderen Ansichten.

Right to left support in JavaScript Scheduler.

Rendern Sie den Ereignis-Scheduler gemäß den richtigen Rechts-nach-links-Konventionen.






Weitere unterstützte Frameworks

Der Scheduler ist in den Frameworks Blazor, React, Angular und Vue verfügbar. Erkunden Sie seine plattformspezifischen Optionen über die folgenden Links:

Unterstützte Browser

Der JavaScript Scheduler funktioniert gut mit allen modernen Webbrowsern, einschließlich Chrome, Firefox, Edge, Safari und Opera.

Supported browsers in JavaScript Scheduler.

Häufig gestellte Fragen

Der JavaScript Scheduler mit umfangreichen Funktionen bietet Folgendes:

  • Hochgradig responsives Layout und ein fein optimiertes Design für Desktops, Tablets und Mobiltelefone.
  • Verschiedene Grundansichten wie Tag, Woche, Arbeitswoche, Monat und Jahr im Kalendermodus sowie Zeitleistenmodus.

  • Virtuelles Scrolling ermöglicht das dynamische Laden großer Mengen an Ressourcen und Ereignissen.

  • Passt sich sofort an verschiedene Zeitzonen an.
  • Mehrere Ressourcen gruppieren basierend auf den Ansichten Zeitleiste, horizontal, hierarchisch und Datum.

  • Einfache Synchronisierung von Ereignissen mit Google und Outlook Kalendern.
  • Einer der besten JavaScript Scheduler auf dem Markt, der eine funktionsreiche Benutzeroberfläche zur Interaktion mit der Software bietet.
  • Einfache Konfiguration und API.

  • Unterstützung für alle modernen Browser.
  • Umfangreiche Lernressourcen wie Demos und Dokumentation zum schnellen Lernen und Einstieg.

Wir verkaufen den JavaScript Scheduler nicht separat. Er ist nur als Teil der Syncfusion Team Lizenz erhältlich. Diese enthält über 1,600 Komponenten und Frameworks, einschließlich des JavaScript Schedulers. Der Preis der Team Lizenz beginnt bei 395 US-Dollar pro Monat für 5 Entwickler und beinhaltet Support und Updates bis zum Ablauf des Abonnements. Darüber hinaus können wir Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu erfahren, ob Sie für zusätzliche Rabatte in Frage kommen.

Sie finden unsere JavaScript Scheduler Demo, die zeigt, wie der Scheduler gerendert und konfiguriert wird.

Nein, unsere 1,600+ Komponenten und Frameworks für Web, Mobile und Desktop, einschließlich unseres JavaScript Schedulers, werden nicht einzeln verkauft. Sie sind nur als Teil einer Teamlizenz erhältlich. Wir haben das Produkt jedoch wettbewerbsfähig bepreist, sodass es nur unwesentlich mehr kostet als das, was einige andere Anbieter für ihr Scheduler-Steuerelement allein verlangen. Wir haben auch die Erfahrung gemacht, dass unsere Kunden normalerweise mit einem unserer Produkte beginnen und dann schnell auf mehrere Produkte erweitern, daher hielten wir es für am besten, alle 1,600+ Komponenten und Frameworks gegen eine Abonnementgebühr anzubieten, die bei 395 US-Dollar pro Monat für ein Team von 5 Entwicklern beginnt. Zusätzlich können wir möglicherweise Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu erfahren, ob Sie für zusätzliche Rabatte in Frage kommen.

Nein, dies ist ein kommerzielles Produkt und erfordert eine kostenpflichtige Lizenz. Eine kostenlose Community-Lizenz ist jedoch auch für Unternehmen und Einzelpersonen erhältlich, deren Organisationen weniger als 1 Million USD Jahresbruttoumsatz und fünf oder weniger Entwickler haben.

Ein guter Ausgangspunkt wäre unsere umfassende Dokumentation zum Einstieg.

Unsere Kunden lieben uns

Mit einem ausgezeichneten Toolset und einem großartigen Supportteam verkürzt Syncfusion® die Entwicklungszeit der Kunden.
Hier sind einige ihrer Erfahrungen.

Echte Erfolgsgeschichten ansehen

Entwickler auf der ganzen Welt vertrauen auf Syncfusions Essential Studio, um komplexe Projekte zu vereinfachen und die Auslieferung zu beschleunigen. Mit einer umfangreichen Bibliothek an UI-Steuerelementen, leistungsstarken SDKs und zuverlässigem Support hilft Essential Studio Teams, unternehmensreife Anwendungen mit Zuversicht zu erstellen.

Fallstudien erkunden


Von Benutzern auf der ganzen Welt bewertet

Transformieren Sie Ihre Apps – jetzt kostenlose Testversion laden da
Gratis-Testversion starten Keine Kreditkarte erforderlich.

Auszeichnungen

Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.

Letzte Aktivitäten in JavaScript Scheduler Blogs

Die Blog-Beiträge zum JavaScript Scheduler helfen Ihnen beim Erstellen Ihrer ersten App mit JavaScript-Steuerelementen. Sie bieten Problemlösungsstrategien, beschreiben Funktionen und Funktionalitäten, kündigen neue Funktionsveröffentlichungen an, erklären Best Practices und zeigen Beispielszenarien. Entdecken Sie unsere neuesten Beiträge auf unseren Blog-Kanälen für JavaScript Scheduler-Updates.

Up arrow icon
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Überblick

Der Angular Scheduler (oder Angular Ereigniskalender) ist eine voll ausgestattete Ereigniskalender-Komponente, die Benutzern hilft, ihre Zeit effizient zu verwalten. Er ermöglicht eine einfache Ressourcenplanung und die Neuplanung von Ereignissen oder Terminen durch Editor-Pop-ups, Drag & Drop und Größenänderungsaktionen.


Warum Syncfusion Essential Studio® Angular Scheduler wählen?

Angular Scheduler High Performance image

Hohe Leistung

Der Angular Scheduler lädt Daten bei Bedarf, um die Übertragungs- und Ladezeiten zu reduzieren. Eine korrekte Feldzuordnung ist obligatorisch, wenn der Scheduler an Datenquellen mit unterschiedlichen Feldnamen gebunden wird.

Angular Scheduler Effective Data Binding image

Nahtlose Datenbindung

Binden Sie Daten nahtlos mit verschiedenen lokalen und entfernten Datenquellen wie JSON, OData, WCF und RESTful-Webdiensten mithilfe eines Datenmanagers.

Angular Scheduler Multiple Views image

Integrierte Ansichten

Es sind verschiedene integrierte Ansichtsmodi verfügbar: Tag, Woche, Arbeitswoche, Monat, Agenda, Monats-Agenda, Jahr und Zeitleiste. Mit einer Vielzahl von ansichtsspezifischen Variablen können Sie jede Ansicht anpassen.

Angular Scheduler Recurring Events image

Wiederkehrende Ereignisse

Konfigurieren Sie einfach wiederkehrende Ereignisse, die täglich, wöchentlich, monatlich oder jährlich wiederholt werden, mit integrierten Wiederholungsoptionen.

Angular Scheduler Multiple Resource image

Mehrere Ressourcen und Gruppierung

Um Ressourcen nach mehreren Faktoren zu gruppieren, bietet der Angular Scheduler eine breite Palette flexibler Optionen. Er deckt auch die Planung von Zeitleisten und die Gruppierung von Terminen nach Ressourcen und Datum ab.

Angular Scheduler Adaptive Ui Support image

Passt sich an jede Auflösung an

Der Scheduler verfügt über ein hochgradig reaktionsschnelles Layout und ein optimiertes Design für Desktops, Touchscreens und Smartphones. Er funktioniert gut auf allen Mobiltelefonen, die iOS, Android oder Windows OS verwenden.

Angular Scheduler Attractive Theme Support image

Attraktive anpassbare Themes

Modernes Design mit über 5 integrierten Themes wie Fluent, Tailwind CSS, Bootstrap, Material, Fabric und mehr. Nutzen Sie das Online Theme Studio Tool, um Themes des Schedulers einfach anzupassen.

Angular Scheduler Globalization Support image

Globalisierung und Lokalisierung

Ermöglicht Benutzern aus verschiedenen Regionen die Verwendung des Schedulers durch Formatierung von Daten, Währung und Nummerierung entsprechend ihren Präferenzen.


Intelligente Planung mit KI-gesteuertem Scheduler

Erleben Sie intelligentere Terminplanung mit unserem KI-gesteuerten Scheduler. Geben Sie einfach “Team-Meeting jeden Freitag um 10 Uhr” ein, und er organisiert Ihre Termine automatisch, löst Konflikte und passt sich Ihrem Arbeitsablauf an. Ihr Kalender zeichnet nicht nur die Zeit auf – er hilft Ihnen, das Beste daraus zu machen.

Sehen Sie die Live-Demo unseres KI-gesteuerten Scheduler

KI-gestützte Angular Scheduler-Komponente.


Angular Scheduler Code Beispiel

Beginnen Sie einfach mit dem Angular Scheduler mit ein paar einfachen Zeilen HTML- und TS-Code, wie unten gezeigt. Erkunden Sie auch unser Angular Scheduler Beispiel, das Ihnen zeigt, wie Sie den Scheduler in Angular rendern und konfigurieren.

<ejs-schedule [selectedDate]="selectedDate" [eventSettings]="eventSettings">
</ejs-schedule>
//app.component.ts
import { Component } from '@angular/core';
import { EventSettingsModel, DayService, WeekService, WorkWeekService, MonthService, AgendaService } from '@syncfusion/ej2-angular-schedule';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  providers: [DayService, WeekService, WorkWeekService, MonthService, AgendaService]
})

export class AppComponent {
  public selectedDate: Date = new Date(2022, 1, 20);
  private data: Object[] = [
    {
      Id: 1,
      Subject: 'Scrum Meeting',
      Location: 'Office',
      StartTime: new Date(2022, 1, 12, 9, 30),
      EndTime: new Date(2023, 1, 12, 10, 30),
      RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
    },
  ];

  public eventSettings: EventSettingsModel = { dataSource: this.data };
}

//app.module.ts
import { ScheduleModule } from '@syncfusion/ej2-angular-schedule';

import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from '../app.component';

@NgModule({
  declarations: [AppComponent],
  imports: [CommonModule, ScheduleModule, BrowserModule],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {}

Mehrere Scheduler-Ansichten

Eine Vielzahl von integrierten Ansichtsmodi ist verfügbar: Tag, Woche, Arbeitswoche, Monat, Agenda, Monats-Agenda, Jahr und Zeitleiste. Konfigurieren Sie jede einzelne Ansicht einfach mit verschiedenen, ansichtsspezifischen Optionen.

Tagesansicht in der Angular Scheduler Komponente.

Tages-, Wochen- und Arbeitswochenansichten

Zeigen Sie Termine für einen einzelnen Tag oder über mehrere Tage an.

Monatsansicht in der Angular Scheduler Komponente.

Monatsansicht

Zeigen Sie Ereignisse und Termine an einem einzelnen Tag oder über mehrere Tage für einen ganzen Monat an.

Agenda-Ansicht in der Angular Scheduler Komponente.

Agenda-Ansicht

Laden Sie Ereignisse virtuell und zeigen Sie sie als Liste in sequenzieller Reihenfolge, nach Tag gruppiert, an. Eine Option zum Angeben der Anzahl der Tage, die anfänglich in der Agenda-Ansicht geladen werden sollen, ist vorhanden.

Monats-Agenda-Ansicht in der Angular Scheduler Komponente.

Monats-Agenda-Ansicht

Zeigen Sie das Kalenderlayout und die Ereignisse des aktuell ausgewählten Datums an. Ein runder Indikator am unteren Rand eines Datums zeigt das Vorhandensein eines oder mehrerer Ereignisse an diesem Tag an.

Jahresansicht in der Angular Scheduler Komponente.

Jahresansicht

Die Jahresansicht zeigt alle Monate eines bestimmten Jahres in einem Kalenderformat an. In dieser Kalenderansicht werden Daten, die Ereignisse und Termine enthalten, mit Punkten unter dem einzelnen Datum hervorgehoben. Wenn Sie auf das Datum klicken, wird das Ereignis-Pop-up angezeigt und die Ereignisse werden aufgelistet.


Zeitleistenansichten

Angular bietet fünf integrierte Zeitleistenansichten: Zeitleisten-Tag, Zeitleisten-Woche, Zeitleisten-Arbeitswoche, Zeitleisten-Monat und Zeitleisten-Jahr. Jede Ansicht zeigt Ereignisse präzise entlang einer horizontalen Zeitachse für einen einzelnen Tag oder mehrere Tage an.

Um eine bessere Leistung zu erzielen, laden Zeitleistenansichten Ressourcen, Ereignisse und Termine bei jeder Scroll-Aktion virtuell.

Zeitleistenansicht in der Angular Scheduler Komponente.


Eindeutige Ansicht in der Angular Scheduler Komponente.

Eindeutige Ansichtskonfigurationen

Konfigurieren Sie jeden einzelnen Ansichtsmodus einfach mit verschiedenen Kalendereinstellungen. Sie können beispielsweise die Gruppierungsfunktion in der Monatsansicht aktivieren und Ereignisvorlagen in der Wochenansicht anwenden.


Erweiterbare Ansichtsintervalle

Zeigen Sie mehrere Tage, Wochen und Monate an, indem Sie jeden Ansichtsmodus basierend auf der angegebenen Intervallanzahl erweitern.

Erweiterbare Ansichtsintervalle in der Angular Scheduler Komponente.


Blockzeitintervalle in der Angular Scheduler Komponente.

Blockzeitintervall

Sie können bestimmte Zeitbereiche im Angular Event Calendar blockieren, um die Erstellung von Ereignissen und Terminen in diesem Zeitfenster zu verhindern.


Inline-Termin

Mit dieser Funktion können Benutzer Termine inline erstellen und bearbeiten, indem sie einfach auf die Scheduler-Zellen oder auf den Betreff eines vorhandenen Termins klicken. Durch Drücken der Eingabetaste, nachdem der neue Betrefftext in das Inline-Textfeld eingegeben wurde, wird der Termin entsprechend aktualisiert und gespeichert.

Inline-Termin in der Angular Scheduler Komponente.


Erweiterte Optionen zur Ereignisbehandlung

Der Angular Event Calendar bietet klare, lebendige und exakte Darstellungen von Ereignissen und Terminen in der Scheduler-Zeitleiste, basierend auf ihrer zugewiesenen Zeitdauer.

Abbildung der Funktionen zum Hinzufügen und Bearbeiten des Angular Schedulers.

Funktionen zum Hinzufügen und Bearbeiten

Es gibt eine integrierte Unterstützung für eine bessere Ereignisbehandlung, wie z.B. das einfachere Erstellen und Bearbeiten von Terminen über den Standard-Ereignis-Editor oder durch intuitive Drag-and-Resize-Aktionen. Darüber hinaus können Sie den Ereignissen und Ressourcendatenquellen auch benutzerdefinierte Datenfelder hinzufügen.

Abbildung der Mehrfachereignisauswahl im Angular Scheduler.

Mehrfachereignisauswahl

Wählen Sie einfach mehrere Ereignisse gleichzeitig aus, indem Sie die Strg-Taste gedrückt halten, während Sie auf Ereignisse klicken. Auf mobilen Geräten tun Sie dasselbe, indem Sie ein Ereignis antippen und halten und die Auswahl durch einmaliges Tippen auf andere Ereignisse fortsetzen. Nach erfolgreicher Auswahl von Ereignissen können Sie diese gleichzeitig löschen oder neu positionieren.

Abbildung der Ereignis-Tooltips des Angular Schedulers.

Tooltip

Der anpassbare Tooltip zeigt Ereignisinformationen an, während der Mauszeiger über dem Ereignis schwebt. Tun Sie dasselbe auf mobilen Geräten, indem Sie ein Ereignis antippen und halten.

Abbildung der Ereignisanpassung mit Angular Scheduler.

Anpassung des Erscheinungsbilds

Ändern Sie das Aussehen und Verhalten von Angular Scheduler-Ereignissen und -Terminen, indem Sie deren Standarderscheinungsbild und -stil mithilfe von HTML oder CSS anpassen.

Abbildung der Zeitzonenunterstützung des Angular Schedulers.

Zeitzone

Unabhängig von der Systemzeitzone unterstützt der Angular Event Calendar das Festlegen der erforderlichen Zeitzone für die Steuerung selbst sowie für Ereignisse.

Abbildung der Zwischenablageunterstützung des Angular Schedulers.

Zwischenablage

Der Angular Scheduler unterstützt die Zwischenablagefunktion, die es Benutzern ermöglicht, Ereignisse effizient zu verwalten. Benutzer können ausgewählte Ereignisse mit der Tastenkombination Strg+C kopieren, Ereignisse mit Strg+X ausschneiden und Ereignisse mit Strg+V in verschiedene Zeitfenster einfügen.


Zeilenautomatische Höhe in der Angular Scheduler Komponente.

Adaptive Zeilen

Eine integrierte Option wurde dem Angular Event Calendar hinzugefügt, um die Höhe der Zeilen in der Monats- und Zeitleistenansicht automatisch zu erhöhen, wenn neue gleichzeitige Ereignisse oder Termine hinzugefügt werden.


Kontextmenü

Das in den Angular Scheduler integrierte Kontextmenü öffnet sich, wenn eine Zelle oder ein Termin mit der rechten Maustaste angeklickt wird.

Kontextmenü in der Angular Scheduler Komponente.


Echtzeit-Datensynchronisation

Echtzeit-Termindaten synchronisieren sich präzise mit unserem Angular Scheduler.

Abbildung der Google Kalender Integration mit Angular Scheduler.

Outlook- und Google Kalender Integration

Synchronisieren Sie Ereignisse einfach zwischen unserem Angular Event Calendar und Google oder Outlook Kalender über die Google Kalender API oder die Objektbibliothek von Microsoft Outlook.

Abbildung von Echtzeit-Updates im Angular Scheduler.

Echtzeit-Updates

Die bidirektionale Datenkommunikation übermittelt serverseitige Terminaktualisierungen, die am Scheduler vorgenommen wurden, über SignalR an alle verbundenen Clients.


Funktionsreiche Kalenderoptionen

Der Angular Event Calendar erbt fast alle kalenderspezifischen Funktionen, wie den ersten Wochentag und die Zeitskala.

Abbildung des ersten Wochentags im Angular Scheduler.

Erster Wochentag

Passen Sie den ersten Wochentag, der standardmäßig auf Sonntag eingestellt ist, gemäß dem Standardgebietsschema an. Sie können diese Option auch für individuelle Ansichten verwenden.

Abbildung des Festlegens von Start- und Endstunden im Angular Scheduler.

Benutzerdefinierte Start- und Endstunden

Zeigen Sie das Ereignisplaner-Layout mit spezifischen Zeitdauern an, indem Sie die unerwünschten Stunden ausblenden.

Abbildung der Zeitskalenoptionen im Angular Scheduler.

Flexible Zeitskala

Verwenden Sie anpassbare Zeitskalenoptionen, um eine Zeitachse von Ereignissen klar anzuzeigen und eine andere Dauer festzulegen.

Abbildung der Arbeitszeit im Angular Scheduler.

Arbeitszeit

Die aktiven Zellen des Schedulers (weiß dargestellt) stellen visuell die Arbeitstage und Arbeitsstunden dar.

Abbildung der Hervorhebung der aktuellen Uhrzeit im Angular Scheduler.

Hervorhebung der aktuellen Uhrzeit

Markieren Sie das aktuelle Datum mit einer hervorgehobenen Datumsüberschrift. Markieren Sie die aktuelle Uhrzeit in allen Ansichten genau.

Abbildung des Ausblendens von Wochenendtagen im Angular Scheduler.

Wochenendtage ausblenden

Das Ausblenden von Wochenendtagen aus dem Scheduler ermöglicht es Ihnen, nur Arbeitstage in allen Ansichten anzuzeigen.

Abbildung der Anzeige von Wochennummern im Angular Scheduler.

Anzeige der Wochennummer

Zeigen Sie die Wochennummer des aktuellen Datumsbereichs neben der Datumsüberschrift in der Tages-, Wochen- und Arbeitswochenansicht an. Zeigen Sie auch die Wochennummer in der Monatsansicht als erste Spalte an. Die Wochennummer wird durch den ersten Wochentag und die Wochenregeln (erster Tag oder erste volle Woche oder erste Viertageswoche) bestimmt.

Abbildung der Anzeige des Zeitformats im Angular Scheduler.

Zeitmodus

Die Scheduler-Steuerung unterstützt sowohl das 12-Stunden- als auch das 24-Stunden-Zeitformat.


Vollständig anpassbare Benutzeroberfläche

Passen Sie das Erscheinungsbild jedes Teils der Scheduler-Oberfläche mithilfe von HTML- und CSS-Stilen an.

Abbildung der Datumsüberschrift-Anpassung im Angular Scheduler.

Datumsüberschrift

Ändern Sie das Standarderscheinungsbild der Kopfzeile, indem Sie jede Art von CSS, benutzerdefinierten Text oder Bild hinzufügen.

Abbildung der vollständigen Angular Scheduler Anpassung.

Vollständige Scheduler-Benutzeroberfläche

Ein integriertes clientseitiges Ereignis ermöglicht es den Endbenutzern, jeden Teil der Scheduler-Benutzeroberfläche anzupassen.

Abbildung der gemeinsamen Header-Leiste im Angular Scheduler.

Header-Leiste

Fügen Sie der standardmäßigen Header-Leiste benutzerdefinierte Elemente hinzu. Sie können gemeinsame Header-Leistenoptionen ausblenden oder anzeigen.

Abbildung der Zellenanpassung mit Angular Scheduler.

Scheduler-Zellen

Vorlagenoptionen, die sofort einsatzbereit sind, ermöglichen es Ihnen, die Zellen einfach anzupassen, indem Sie jede Art von Text, Bild oder CSS hinzufügen.

Abbildung von Quick-Popups im Angular Scheduler.

Schnelle Pop-ups

Passen Sie Pop-ups, die beim Einzelklick auf Zellen, Ereignisse oder Termine geöffnet werden, einfach mit Ihrer eigenen Benutzeroberfläche oder Ihrem Vorlagendesign an.

Abbildung des Ereignis-Editors im Angular Scheduler.

Ereignis-Editor extern öffnen

Der Angular Event Calendar bietet eine integrierte Methode, um das Standard-Ereignis-Editor-Fenster programmatisch zu öffnen.


Benutzerfreundliche Interaktionen

Das moderne und trendige UI-Design des Angular Schedulers macht die Benutzerinteraktionen einfacher und effizienter.

Pop-up mit Ereignisinformationen.

Schneller Ereignisüberblick

Durch Klicken oder Tippen auf Ereignisse werden deren wichtige Details, wie Betreff und Uhrzeit, zusammen mit Bearbeitungs- und Löschoptionen angezeigt.

Angular Scheduler Zellenauswahl.

Zellenauswahl

Klicken und ziehen Sie den Mauszeiger über die Scheduler-Zellen für eine Mehrfachzellenauswahl. Sie können dasselbe mit Tastenkombinationen tun.

Ereigniscontainer im Angular Scheduler.

Ereigniscontainer

Ein Klick auf den Textindikator (+n weitere) in der Monats- und Zeitleistenansicht öffnet einen Ereigniscontainer, der alle verborgenen Ereignis- und Termindetails eines Tages auflistet.

Navigationsoptionen im Angular Scheduler.

Schnelle Navigation

Der Angular Scheduler bietet eine intuitive Möglichkeit, mithilfe eines Inline-Kalenders zwischen Datumsbereichen zu navigieren und auch zwischen verschiedenen Ansichtsmodi zu wechseln.


Angular Ereigniskalender in Echtzeitanwendungen verwendet.

Echtzeitanwendungen

Viele Echtzeitanwendungen verwenden Scheduler als integralen Bestandteil und dienen je nach Projekttyp unterschiedlichen Zwecken. Einige der aktiven Anwendungen sind: Fahrplan, Besprechungsraumkalender, Terminplaner für Ärzte, Hotelzimmerreservierung.


Interaktive Funktionen

Der Angular Scheduler ermöglicht Benutzern den Export seiner Ereignisse auf zwei Arten: als Excel-Datei oder als ICS-Datei.

Abbildung der Excel-Exportunterstützung im Angular Scheduler.

Export nach Excel

Der Angular Scheduler ermöglicht Ihnen den Export aller seiner Ereignisse in ein Excel-Dokument standardmäßig. Er bietet auch zusätzliche Anpassungsoptionen zum Exportieren benutzerdefinierter Ereignisdatensammlungen.

Abbildung des Exports und Imports von ICS-Dateien im Angular Event Calendar.

Export und Import von ICS

Der Angular Event Calendar unterstützt den Export all seiner Ereignisdaten im iCal-Format und den Import von Ereignissen aus einer iCal-Datei in den Scheduler.

Angular Scheduler entwicklerfreundliche APIs.

Entwicklerfreundliche APIs

Entwickler können die Benutzeroberfläche und das Verhalten des Ereigniskalenders über dessen integrierte, entwicklerfreundliche APIs vollständig steuern. Es ermöglicht Ihnen, selbst die komplexen Scheduler-Funktionalitäten mit Leichtigkeit anzupassen.


Barrierefreiheit

Die Angular Scheduler-Komponente ist problemlos von Screenreadern zugänglich. Eine vollständige Tastaturinteraktionsunterstützung wurde ebenfalls bereitgestellt.

Barrierefreier Angular Scheduler.

Vollständig barrierefrei

Die Angular Scheduler-Komponente verfügt über vollständige WAI-ARIA-Barrierefreiheitsunterstützung. Die Scheduler-Benutzeroberfläche enthält visuelle Elemente mit hohem Kontrast, die sehbehinderten Menschen das beste Seherlebnis bieten. Gültige UI-Beschreibungen sind auch über unterstützende Technologien wie Screenreader leicht zugänglich.

Tastaturinteraktiver Angular Ereigniskalender.

Tastaturinteraktiv

Es stehen verschiedene Tastaturkürzel zur Verfügung, um fast alle Scheduler-Aktionen auszuführen, wie z. B. die Auswahl mehrerer Zellen oder Ereignisse und die Navigation zu anderen Ansichten.

Rechts-nach-links-Unterstützung im Angular Scheduler.

Rendern Sie den Ereignisplaner gemäß den entsprechenden Rechts-nach-links-Konventionen.


Angular Version Kompatibilität

Mit kontinuierlichen Verbesserungen in den Angular-Versionen wird der Angular Scheduler stets aktualisiert, um mit Versionen von 4 bis zur neuesten Version kompatibel zu sein.

Scheduler Angular Version Kompatibilität.





Andere unterstützte Frameworks

Der Scheduler ist in den Frameworks Blazor, React, JavaScript und Vue verfügbar. Erkunden Sie die plattformspezifischen Optionen über die folgenden Links:

Unterstützte Browser

Der Angular Scheduler funktioniert gut mit allen modernen Webbrowsern, einschließlich Chrome, Firefox, Edge, Safari und Opera.

Unterstützte Browser im Angular Scheduler.

Häufig gestellte Fragen

Wir verkaufen den Angular Scheduler nicht separat. Er ist nur als Teil der Syncfusion Teamlizenz erhältlich. Diese enthält über 1,600 Komponenten und Frameworks, einschließlich des Angular Schedulers. Der Preis der Teamlizenz beginnt bei 395 $ pro Monat für 5 Entwickler und beinhaltet Support und Updates bis zum Ablauf des Abonnements. Darüber hinaus können wir möglicherweise Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie unsere Produktspezialisten noch heute, um zu prüfen, ob Sie für zusätzliche Rabatte qualifiziert sind.

Sie finden unsere Angular Scheduler Demo, die zeigt, wie der Scheduler gerendert und konfiguriert wird.

Nein, unsere 1,600+ Komponenten und Frameworks für Web, Mobil und Desktop, einschließlich unseres Angular Schedulers, werden nicht einzeln verkauft. Sie sind nur als Teil einer Teamlizenz erhältlich. Wir haben das Produkt jedoch wettbewerbsfähig bepreist, sodass es nur unwesentlich mehr kostet als das, was einige andere Anbieter für ihre Scheduler-Komponente allein verlangen. Wir haben auch festgestellt, dass unsere Kunden in unserer Erfahrung normalerweise mit der Verwendung eines unserer Produkte beginnen und dann schnell auf mehrere Produkte erweitern. Daher hielten wir es für am besten, alle 1,600+ Komponenten und Frameworks für ein Abonnement anzubieten, das 395 $ pro Monat für ein Team von 5 Entwicklern beginnt. Zusätzlich können wir möglicherweise Rabatte aufgrund aktuell aktiver Aktionen anbieten. Bitte kontaktieren Sie unsere Produktspezialisten noch heute, um zu prüfen, ob Sie für zusätzliche Rabatte qualifiziert sind.

Nein, dies ist ein kommerzielles Produkt und erfordert eine kostenpflichtige Lizenz. Eine kostenlose Community-Lizenz ist jedoch auch für Unternehmen und Einzelpersonen verfügbar, deren Organisationen weniger als 1 Million USD Jahresumsatz und fünf oder weniger Entwickler haben.

Ein guter Ausgangspunkt wäre unsere umfassende Dokumentation zum Einstieg.

Unsere Kunden lieben uns

Mit einem ausgezeichneten Toolset und einem großartigen Supportteam verkürzt Syncfusion® die Entwicklungszeit der Kunden.
Hier sind einige ihrer Erfahrungen.

Echte Erfolgsgeschichten ansehen

Entwickler auf der ganzen Welt vertrauen auf Syncfusions Essential Studio, um komplexe Projekte zu vereinfachen und die Auslieferung zu beschleunigen. Mit einer umfangreichen Bibliothek an UI-Steuerelementen, leistungsstarken SDKs und zuverlässigem Support hilft Essential Studio Teams, unternehmensreife Anwendungen mit Zuversicht zu erstellen.

Fallstudien erkunden


Von Benutzern auf der ganzen Welt bewertet

Transformieren Sie Ihre Apps – jetzt kostenlose Testversion laden da
Gratis-Testversion starten Keine Kreditkarte erforderlich.

Auszeichnungen

Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.

Up arrow icon
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Der React Scheduler, oder Ereigniskalender, ist eine voll funktionsfähige Ereigniskalender-Komponente, die Benutzern hilft, ihre Zeit effizient zu verwalten. Er erleichtert die einfache Ressourcenplanung und die Neuplanung von Ereignissen oder Terminen durch Editor-Pop-ups, Drag-and-Drop und Größenänderungsaktionen.


Warum sollten Sie sich für Syncfusion React Scheduler entscheiden?

React Scheduler High Performance image

Hohe Leistung

Der React Scheduler lädt Daten bei Bedarf, um die Übertragungs- und Ladezeiten zu reduzieren. Eine korrekte Feldzuordnung ist zwingend erforderlich, wenn der Scheduler an Datenquellen mit unterschiedlichen Feldnamen gebunden wird.

React Scheduler Effective Data Binding image

Nahtlose Datenbindung

Binden Sie Daten nahtlos an verschiedene lokale und entfernte Datenquellen wie JSON, OData, WCF und RESTful-Webdienste mithilfe eines Datenmanagers.

React Scheduler Multiple Views image

Integrierte Ansichten

Es gibt mehrere verschiedene integrierte Ansichtsmodi: Tag, Woche, Arbeitswoche, Monat, Agenda, Monats-Agenda, Jahr und Zeitstrahl. Mit einer Vielzahl von ansichtsspezifischen Variablen können Sie jede Ansicht anpassen.

React Scheduler Recurring Events image

Wiederkehrende Ereignisse

Konfigurieren Sie einfach wiederkehrende Ereignisse, die sich täglich, wöchentlich, monatlich oder jährlich wiederholen, mit integrierten Wiederholungsoptionen.

React Scheduler Multiple Resource image

Mehrere Ressourcen und Gruppierung

Um Ressourcen nach mehreren Faktoren zu gruppieren, bietet der React Scheduler eine breite Palette flexibler Optionen. Er deckt auch die Zeitplanung von Zeitstrahlen und die Gruppierung von Terminen nach Ressource und Datum ab.

React Scheduler Adaptive Ui Support image

Passt sich jeder Auflösung an

Der Scheduler hat ein hochgradig responsives Layout und ein optimiertes Design für Desktops, Touchscreens und Smartphones. Er funktioniert gut auf allen Mobiltelefonen mit iOS, Android oder Windows OS.

React Scheduler Attractive Theme Support image

Attraktive anpassbare Designs

Modernstes Design mit mehr als 5 integrierten Designs wie Fluent, Tailwind CSS, Bootstrap, Material, Fabric und mehr. Nutzen Sie das Online-Theme-Studio-Tool, um die Designs des Schedulers einfach anzupassen.

React Scheduler Globalization Support image

Globalisierung und Lokalisierung

Ermöglicht Benutzern aus verschiedenen Regionen, den Scheduler zu verwenden, indem Datums-, Währungs- und Zahlenformate an ihre Vorlieben angepasst werden.


AI Scheduler für intelligentere Planung

Der AI Scheduler organisiert Ihren Kalender mühelos. Geben Sie einfach Anweisungen wie “Treffen Sie das Team jeden Freitag um 10 Uhr” ein, und er erledigt den Rest. Er prüft auf Konflikte, schlägt optimale Zeiten vor und organisiert Ihren Kalender visuell.

Erleben Sie intelligentere Planung mit dieser Demo

React Smart Scheduler image


React Scheduler Codebeispiel

Starten Sie einfach mit dem React Scheduler mit ein paar einfachen Zeilen TSX-Codebeispiel, wie unten gezeigt. Erkunden Sie auch unser React Scheduler Beispiel, das Ihnen zeigt, wie Sie einen Scheduler in React rendern und konfigurieren.

import * as React from 'react';
import {
  ScheduleComponent, ViewsDirective, ViewDirective, Day, Week, WorkWeek, Month, Agenda, Inject
} from '@syncfusion/ej2-react-schedule';

const App = () => {
  const data = [{
    Id: 1,
    Subject: 'Scrum Meeting',
    Location: 'Office',
    StartTime: new Date(2022, 0, 1, 9, 30),
    EndTime: new Date(2023, 0, 1, 10, 30),
    RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
  }];

  return (
    <div>
      <ScheduleComponent height='650px' eventSettings={{ dataSource: data }}>
        <ViewsDirective>
          <ViewDirective option='Day' />
          <ViewDirective option='Week' />
          <ViewDirective option='WorkWeek' />
          <ViewDirective option='Month' />
          <ViewDirective option='Agenda' />
        </ViewsDirective>
        <Inject services={[Day, Week, WorkWeek, Month, Agenda]} />
      </ScheduleComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('schedule'));
root.render(<App />);

Mehrere Scheduler-Ansichten

Eine Vielzahl von integrierten Ansichtsmodi steht zur Verfügung: Tag, Woche, Arbeitswoche, Monat, Agenda, Monats-Agenda, Jahr und Zeitstrahl. Konfigurieren Sie jede einzelne Ansicht einfach mit verschiedenen, ansichtsspezifischen Optionen.

Tagesansicht in der React Scheduler-Komponente.

Tages-, Wochen- und Arbeitswochenansichten

Zeigen Sie Termine für einen einzelnen Tag oder über mehrere Tage mit dem React Scheduler an.

Monatsansicht in der React Scheduler-Komponente.

Monatsansicht

Im React Scheduler können Sie Ereignisse und Termine an einem einzelnen Tag oder an mehreren Tagen für einen ganzen Monat anzeigen.

Agenda-Ansicht in der React Scheduler-Komponente.

Agenda-Ansicht

Laden Sie Ereignisse virtuell und zeigen Sie sie als Liste in einer sequenziellen, nach Tagen gruppierten Reihenfolge an. Es besteht die Möglichkeit, die Anzahl der Tage anzugeben, die anfänglich in der Agenda-Ansicht des React Schedulers geladen werden sollen.

Monats-Agenda-Ansicht in der React Scheduler-Komponente.

Monats-Agenda-Ansicht

Zeigen Sie das Kalenderlayout und die Ereignisse des aktuell ausgewählten Datums an. Ein runder Indikator am unteren Rand eines Datums zeigt das Vorhandensein eines oder mehrerer Ereignisse an diesem Tag.

Jahresansicht in der React Scheduler-Komponente.

Jahresansicht

Die Jahresansicht zeigt alle Monate eines bestimmten Jahres im Kalenderansichtsformat an. In dieser Kalenderansicht werden Daten, die Ereignisse und Termine enthalten, mit Punkten unter dem jeweiligen Datum hervorgehoben. Wenn Sie auf das Datum klicken, wird das Ereignis-Popup angezeigt und die Ereignisse werden aufgelistet.


Zeitstrahlansichten

React bietet fünf integrierte Zeitstrahlansichten: Zeitstrahl Tag, Zeitstrahl Woche, Zeitstrahl Arbeitswoche, Zeitstrahl Monat und Zeitstrahl Jahr. Jede Ansicht zeigt Ereignisse genau über eine horizontale Zeitachse für einen einzelnen oder mehrere Tage an.

Um eine bessere Leistung zu gewährleisten, laden Zeitstrahlansichten Ressourcen, Ereignisse und Termine bei jeder Scroll-Aktion virtuell.

Zeitstrahlansicht in der React Scheduler-Komponente.


Eindeutige Ansicht in der React Scheduler-Komponente.

Eindeutige Ansichtskonfigurationen

Konfigurieren Sie jeden einzelnen Ansichtsmodus einfach mit unterschiedlichen Kalendereinstellungen. Sie können beispielsweise die Gruppierungsfunktion in der Monatsansicht aktivieren und Ereignisvorlagen in der Wochenansicht anwenden.


Erweiterbare Ansichtsintervalle

Zeigen Sie mehrere Tage, Wochen und Monate an, indem Sie jeden Ansichtsmodus basierend auf der angegebenen Intervallanzahl erweitern.

Erweiterbare Ansichtsintervalle in der React Scheduler-Komponente.


Zeitintervalle im React Scheduler blockieren.

Zeitintervall blockieren

Sie können bestimmte Zeitbereiche im React Event Calendar blockieren, um die Erstellung von Ereignissen und Terminen in diesem Zeitfenster zu verhindern.


Inline-Terminvereinbarung

Wenn diese Funktion aktiviert ist, können Benutzer Termine inline durch einen einzigen Klick auf die Planerzellen oder auf den Betreff eines vorhandenen Termins erstellen und bearbeiten. Durch Drücken der Eingabetaste nach Eingabe des neuen Betrefftextes im Inline-Textfeld wird der Termin entsprechend aktualisiert und gespeichert.

Inline-Terminvereinbarung in der React Scheduler-Komponente.


Erweiterte Optionen zur Ereignisbehandlung

Der React Event Calendar bietet klare, lebendige und exakte Darstellungen von Ereignissen und Terminen über die gesamte Scheduler-Zeitachse, basierend auf ihrer zugewiesenen Zeitdauer.

Abbildung der Funktionen zum Hinzufügen und Bearbeiten des React Schedulers.

Funktionen zum Hinzufügen und Bearbeiten

Es gibt eine integrierte Unterstützung für eine bessere Ereignisbehandlung, wie z. B. eine einfachere Terminerstellung und -bearbeitung mit dem Standard-Ereigniseditor oder durch intuitive Drag-and-Resize-Aktionen. Darüber hinaus können Sie sowohl den Ereignissen als auch der Ressourcendatenquelle benutzerdefinierte Datenfelder hinzufügen.

Abbildung der Mehrfachauswahl von Ereignissen im React Scheduler.

Mehrfachauswahl von Ereignissen

Wählen Sie einfach mehrere Ereignisse gleichzeitig aus, indem Sie die Strg-Taste gedrückt halten, während Sie auf die Ereignisse klicken. Auf mobilen Geräten tun Sie dasselbe, indem Sie ein Ereignis antippen und halten und dann durch einmaliges Antippen anderer Ereignisse weiter auswählen. Nach erfolgreicher Auswahl von Ereignissen können Sie diese gleichzeitig löschen oder neu positionieren.

Abbildung der Ereignis-Tooltips des React Schedulers.

Tooltip

Der anpassbare Tooltip zeigt Ereignisinformationen an, während der Mauszeiger über dem Ereignis schwebt. Auf mobilen Geräten tun Sie dasselbe, indem Sie ein Ereignis antippen und halten.

Abbildung der Ereignisanpassung mit dem React Scheduler.

Anpassung des Erscheinungsbilds

Ändern Sie das Erscheinungsbild von React Scheduler-Ereignissen und -Terminen, indem Sie deren Standardaussehen und -stil mit beliebigem HTML oder CSS anpassen.

Abbildung der Zeitzonenunterstützung des React Schedulers.

Zeitzone

Unabhängig von der Systemzeitzone unterstützt der React Event Calendar die Einstellung der gewünschten Zeitzone für das Steuerelement selbst sowie für Ereignisse.

Abbildung der Zwischenablageunterstützung des React Schedulers.

Zwischenablage

Der React Scheduler unterstützt die Zwischenablagefunktionalität, mit der Benutzer Ereignisse effizient verwalten können. Benutzer können ausgewählte Ereignisse mit der Tastenkombination Strg+C kopieren, Ereignisse mit Strg+X ausschneiden und Ereignisse mit Strg+V in verschiedene Zeitfenster einfügen.


Automatische Zeilenhöhe in der React Scheduler-Komponente.

Adaptive Zeilen

Eine integrierte Option wurde dem React Event Calendar hinzugefügt, um die Höhe der Zeilen in den Monats- und Zeitstrahlansichten automatisch zu erhöhen, wenn neue gleichzeitige Ereignisse oder Termine hinzugefügt werden.


Kontextmenü

Das in den React Scheduler integrierte Kontextmenü wird geöffnet, wenn eine Zelle oder ein Termin mit der rechten Maustaste angeklickt wird.

Kontextmenü in der React Scheduler-Komponente.


Echtzeit-Datensynchronisation

Echtzeit-Termindaten werden präzise mit unserem React Scheduler synchronisiert.

Abbildung der Google Kalender-Integration mit React Scheduler.

Outlook- und Google-Kalender-Integration

Synchronisieren Sie Ereignisse einfach zwischen unserem React Event Calendar und Google- oder Outlook-Kalender über die Google Calendar API oder die Objektbibliothek von Microsoft Outlook.

Abbildung der Echtzeit-Updates des React Schedulers.

Echtzeit-Updates

Die bidirektionale Datenkommunikation übermittelt serverseitige Terminaktualisierungen, die im Scheduler vorgenommen werden, über SignalR an alle verbundenen Clients.


Funktionsreiche Kalenderoptionen

Der React Event Calendar erbt fast alle kalenderspezifischen Funktionen, wie den ersten Tag der Woche und die Zeitskala.

Darstellung des ersten Wochentages des React Schedulers.

Erster Tag der Woche

Passen Sie den ersten Tag der Woche an, der standardmäßig Sonntag ist, gemäß der Standard-Gebietsschema. Sie können diese Option auch für einzelne Ansichten nutzen.

Darstellung der Einstellung von Start- und Endstunden im React Scheduler.

Benutzerdefinierte Start- und Endstunden

Zeigen Sie das Ereignisplaner-Layout mit spezifischen Zeitdauern an, indem Sie unerwünschte Stunden ausblenden.

Darstellung der Zeitskalenoptionen des React Schedulers.

Flexible Zeitskala

Verwenden Sie anpassbare Zeitskalenoptionen, um eine Zeitleiste von Ereignissen klar anzuzeigen und eine andere Dauer einzustellen.

Darstellung der Arbeitszeit des React Schedulers.

Arbeitszeit

Die aktiven Zellen des Planers (in Weiß angezeigt) stellen die Arbeitstage und Arbeitsstunden visuell dar.

Darstellung der Hervorhebung der aktuellen Zeit im React Scheduler.

Hervorhebung der aktuellen Zeit

Zeigen Sie das aktuelle Datum mit einer hervorgehobenen Datumskopfzeile an. Markieren Sie die aktuelle Zeit in allen Ansichten genau.

Darstellung des Ausblendens von Wochenendtagen im React Scheduler.

Wochenendtage ausblenden

Das Ausblenden von Wochenendtagen im Scheduler ermöglicht es Ihnen, nur Arbeitstage in allen Ansichten anzuzeigen.

Darstellung der Anzeige von Wochennummern im React Scheduler.

Anzeige der Wochennummer

Zeigen Sie die Wochennummer des aktuellen Datumsbereichs neben der Datumskopfzeile in den Ansichten Tag, Woche und Arbeitswoche an. Zeigen Sie die Wochennummer auch in der Monatsansicht als erste Spalte an. Die Wochennummer wird durch den ersten Tag der Woche und die Wochenregeln bestimmt (erster Tag oder erste volle Woche oder erste Viertagewoche).

Darstellung des Anzeigezeitformats im React Scheduler.

Zeitmodus

Das Scheduler-Steuerelement unterstützt sowohl das 12-Stunden- als auch das 24-Stunden-Zeitformat.


Vollständig anpassbare Benutzeroberfläche

Passen Sie das Erscheinungsbild jedes Teils der Scheduler-Oberfläche mit HTML- und CSS-Stilen an.

Abbildung der Anpassung der Datumskopfzeile im React Scheduler.

Datumskopfzeile

Ändern Sie das Standardaussehen der Kopfzeile, indem Sie jede Art von CSS, benutzerdefinierten Text oder Bilder hinzufügen.

Abbildung der vollständigen Anpassung des React Schedulers.

Vollständige Scheduler-Benutzeroberfläche

Ein integriertes clientseitiges Ereignis ermöglicht es den Endbenutzern, jeden Teil der Benutzeroberfläche des Schedulers anzupassen.

Abbildung der gemeinsamen Kopfleiste im React Scheduler.

Kopfleiste

Fügen Sie den Standardoptionen der Kopfleiste benutzerdefinierte Elemente hinzu. Sie können gängige Optionen der Kopfleiste ein- oder ausblenden.

Abbildung der Zellenanpassung mit dem React Scheduler.

Scheduler-Zellen

Vorgefertigte Vorlagenoptionen ermöglichen es Ihnen, die Zellen einfach anzupassen, indem Sie jede Art von Text, Bild oder CSS hinzufügen.

Abbildung von Schnell-Pop-ups im React Scheduler.

Schnell-Pop-ups

Passen Sie einfach Pop-ups an, die sich beim einmaligen Klicken auf Zellen, Ereignisse oder Termine öffnen, mit Ihrem eigenen UI- oder Vorlagendesign.

Abbildung des Ereignis-Editors des React Schedulers.

Ereignis-Editor extern öffnen

Der React Event Calendar bietet eine integrierte Methode, um das Standard-Ereignis-Editor-Fenster programmgesteuert zu öffnen.


Benutzerfreundliche Interaktionen

Das moderne und trendige UI-Design des React Schedulers macht die Benutzerinteraktionen einfacher und effizienter.

Pop-up mit Ereignisinformationen.

Schneller Ereignisüberblick

Durch Klicken oder Tippen auf Ereignisse werden deren wichtige Details wie Betreff und Uhrzeit sowie Bearbeitungs- und Löschoptionen angezeigt.

Zellenauswahl im React Scheduler.

Zellenauswahl

Klicken und ziehen Sie den Zeiger über die Scheduler-Zellen, um mehrere Zellen auszuwählen. Dasselbe können Sie mit Tastenkombinationen tun.

Ereigniscontainer im Monatskalender angezeigt.

Ereigniscontainer

Durch Klicken auf den Textindikator (+n weitere) in den Monats- und Zeitstrahlansichten wird ein Ereigniscontainer geöffnet, der alle verborgenen Ereignis- und Termindetails eines Tages auflistet.

Navigationsoptionen im React Scheduler.

Schnelle Navigation

Der React Scheduler bietet eine intuitive Möglichkeit, mithilfe eines Inline-Kalenders zwischen den Datumsbereichen hin- und herzunavigieren und auch zwischen verschiedenen Ansichtsmodi zu wechseln.


React-Ereigniskalender in Echtzeitanwendungen verwendet.

Echtzeitanwendungen

Viele Echtzeitanwendungen verwenden Planer als integralen Bestandteil und dienen so je nach Projekttyp unterschiedlichen Zwecken. Einige der aktiven Anwendungen sind: Tarifkalender, Besprechungsraumkalender, Arztterminplaner, Hotelzimmerreservierung.


Interaktive Funktionen

Der React Scheduler ermöglicht es Benutzern, seine Ereignisse auf zwei Arten zu exportieren: als Excel-Datei oder als ICS-Datei.

Abbildung der Excel-Exportunterstützung im React Scheduler.

Nach Excel exportieren

Der React Scheduler ermöglicht es Ihnen standardmäßig, alle Ereignisse in ein Excel-Dokument zu exportieren. Er bietet auch zusätzliche Anpassungsoptionen zum Exportieren benutzerdefinierter Ereignisdatensammlungen.

Abbildung des Exports und Imports von ICS-Dateien im React Event Calendar.

ICS exportieren und importieren

Der React Event Calendar unterstützt den Export aller seiner Ereignisdaten in das iCal-Format und den Import von Ereignissen aus einer iCal-Datei in den Scheduler.

Entwicklerfreundliche APIs des React Schedulers.

Entwicklerfreundliche APIs

Entwickler können die volle Kontrolle über die Benutzeroberfläche und das Verhalten des Ereigniskalenders durch seine integrierten, entwicklerfreundlichen APIs haben. Es ermöglicht Ihnen, selbst die komplexesten Scheduler-Funktionalitäten mühelos anzupassen.


Barrierefreiheit

Die React Scheduler-Komponente ist für Bildschirmleser leicht zugänglich. Eine vollständige Unterstützung der Tastaturinteraktion wurde ebenfalls bereitgestellt.

Barrierefreiheitsfähiger React Scheduler.

Vollständig barrierefrei

Die React Scheduler-Komponente verfügt über eine vollständige WAI-ARIA-Barrierefreiheitsunterstützung. Die Benutzeroberfläche des Schedulers enthält kontrastreiche visuelle Elemente, die sehbehinderten Menschen das beste Seherlebnis bieten. Gültige UI-Beschreibungen sind auch über Hilfstechnologien wie Bildschirmleser leicht zugänglich.

Tastaturinteraktiver React-Ereigniskalender.

Tastaturinteraktiv

Es stehen verschiedene Tastenkombinationen zur Verfügung, um fast alle Aktionen des Schedulers auszuführen, wie z. B. die Auswahl mehrerer Zellen oder Ereignisse und die Navigation zu anderen Ansichten.

Rechts-nach-links-Unterstützung im React Scheduler.

Rendern Sie den Ereignisplaner gemäß den korrekten Rechts-nach-links-Konventionen.






Andere unterstützte Haupt-Frameworks

Zusätzlich zu React ist eine integrierte Unterstützung für diese wichtigen Frameworks verfügbar.

Häufig gestellte Fragen

Der Syncfusion React Scheduler bietet die folgenden Funktionen:- Hochgradig responsives Layout und ein fein optimiertes Design für Desktops, Tablets und Mobiltelefone.- Verschiedene Basisansichten wie Tag, Woche, Arbeitswoche, Monat und Jahres-Kalendermodus sowie Timeline-Modus.- Virtuelles Scrollen ermöglicht Benutzern das dynamische Laden einer großen Anzahl von Ressourcen und Ereignissen.- Passt sich sofort an verschiedene Zeitzonen an.- Mehrfach-Ressourcengruppierung basierend auf der Timeline, horizontalen, hierarchischen und Datums-Ansicht.- Einer der besten React Scheduler auf dem Markt, der eine funktionsreiche Benutzeroberfläche zur Interaktion mit der Software bietet.- Einfache Synchronisierung von Ereignissen mit Google und Outlook Kalendern.- Einfache Konfiguration und APIs.- Unterstützt alle modernen Browser.- Umfangreiche Lernressourcen wie Demos, Dokumentation und Videos, um den React Scheduler schnell zu erlernen und zu verwenden.

Wir verkaufen den React Scheduler nicht separat. Er ist nur als Teil der Syncfusion Teamlizenz erhältlich. Diese enthält über 1,600 Komponenten und Frameworks, einschließlich des React Scheduler. Der Preis der Teamlizenz beginnt bei 395 US-Dollar pro Monat für 5 Entwickler und beinhaltet Support und Updates bis zum Ablauf des Abonnements. Darüber hinaus können wir möglicherweise Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu erfahren, ob Sie für zusätzliche Rabatte in Frage kommen.

Sie finden unsere React Scheduler Demo, die zeigt, wie der Scheduler gerendert und konfiguriert wird.

Sie können einen Scheduler in React mit der React Scheduler Komponente von Syncfusion erstellen Erste Schritte. Installieren Sie das Paket @syncfusion/ej2-react-schedule, importieren Sie die ScheduleComponent und konfigurieren Sie Ansichten, Datenquellen und Ereigniseinstellungen.

Syncfusion bietet eine kostenlose Community-Lizenz für Einzelpersonen und kleine Unternehmen an, was seinen React Scheduler zu einer der besten kostenlosen Optionen macht. Er bietet Unternehmensfunktionen wie mehrere Ansichten, Ressourcengruppierung und Ereignisbearbeitung ohne Limitationen.

Nein, unsere 1,600+ Komponenten und Frameworks für Web, Mobil und Desktop, einschließlich unseres React Scheduler, werden nicht einzeln verkauft. Sie sind nur als Teil einer Teamlizenz erhältlich. Wir haben das Produkt jedoch wettbewerbsfähig bepreist, sodass es nur unwesentlich mehr kostet als das, was einige andere Anbieter nur für ihre Scheduler-Komponente verlangen. Wir haben auch die Erfahrung gemacht, dass unsere Kunden in der Regel mit einem unserer Produkte beginnen und dann schnell auf mehrere Produkte erweitern. Daher hielten wir es für das Beste, alle 1,600+ Komponenten und Frameworks für eine Abonnementgebühr anzubieten, die für ein Team von 5 Entwicklern bei 395 US-Dollar pro Monat beginnt. Darüber hinaus können wir möglicherweise Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu erfahren, ob Sie für zusätzliche Rabatte in Frage kommen.

Nein, dies ist ein kommerzielles Produkt und erfordert eine kostenpflichtige Lizenz. Jedoch ist eine kostenlose Community-Lizenz auch für Unternehmen und Einzelpersonen erhältlich, deren Organisationen weniger als 1 Million USD Jahresbruttoeinnahmen und fünf oder weniger Entwickler haben.

Ein guter Ausgangspunkt wäre unsere umfassende Dokumentation zum Einstieg.

Die Schedule Komponente in Syncfusion React ist eine voll ausgestattete Kalender- und TerminverwaltungsKomponente. Sie ermöglicht das Anzeigen von Ereignissen, das Verwalten von Ressourcen, das Verschieben per Drag-and-Drop und das Anpassen von Ansichten. Sie unterstützt wiederkehrende Ereignisse, Zeitzonenbehandlung und die Integration mit externen Kalendern wie Google und Outlook.

Syncfusion React Calendar ist ein leichter Datumswähler zum Auswählen einzelner oder mehrerer Daten. Er konzentriert sich auf die Anzeige von Daten und die grundlegende Navigation zwischen Monaten und Jahren.Syncfusion React Scheduler ist ein voll ausgestatteter Terminmanager, der Ereignisse, Ressourcen, wiederkehrende Termine, mehrere Ansichten (Tag, Woche, Monat, Timeline), Drag-and-Drop und die Integration mit externen Kalendern wie Google und Outlook unterstützt.

Unsere Kunden lieben uns

Mit einem ausgezeichneten Toolset und einem großartigen Supportteam verkürzt Syncfusion® die Entwicklungszeit der Kunden.
Hier sind einige ihrer Erfahrungen.

Echte Erfolgsgeschichten ansehen

Entwickler auf der ganzen Welt vertrauen auf Syncfusions Essential Studio, um komplexe Projekte zu vereinfachen und die Auslieferung zu beschleunigen. Mit einer umfangreichen Bibliothek an UI-Steuerelementen, leistungsstarken SDKs und zuverlässigem Support hilft Essential Studio Teams, unternehmensreife Anwendungen mit Zuversicht zu erstellen.

Fallstudien erkunden


Von Benutzern auf der ganzen Welt bewertet

Transformieren Sie Ihre Apps – jetzt kostenlose Testversion laden da
Gratis-Testversion starten Keine Kreditkarte erforderlich.

Auszeichnungen

Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.

Neueste Aktivitäten in React Scheduler Blogs und Tutorials

Die Blog- und Tutorial-Video-Beiträge zum React Scheduler führen Sie durch die Erstellung Ihrer ersten App mit React-Komponenten. Sie bieten Problemlösungsstrategien, beschreiben Features und Funktionalitäten, kündigen neue Feature-Releases an, erklären bewährte Praktiken und zeigen Beispielszenarien. Entdecken Sie unsere neuesten Beiträge auf unserem Blog und unseren Tutorial-Video-Kanälen für Updates zum React Scheduler.

Up arrow icon
Syncfusion Feedback